Bug 150578 - Ability to force computation of hints
Ability to force computation of hints
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Hints & Annotations
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Max Sauer
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 19:29 UTC by Jan Lahoda
Modified: 2009-07-29 06:01 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch (40.74 KB, patch)
2009-07-20 11:05 UTC, Max Sauer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2008-10-17 19:29:10 UTC
When the user presses Alt-Enter, currently an outdated list of Fixes may be given. There should be a way to force
evaluation of hints to allow showing an up-to-date list of Fixes.
Comment 1 Max Sauer 2009-07-20 11:00:09 UTC
Hello,
I'd like to propose a compatible API change in Editor Hints SPI. In order to provide up-to-date hints on current line upon their invocation (alt-enter), a 
simple way is needed to communicate between Editor Hints SPI and hint providers.

Each client module which intends to use refreshers will need an PositionRefresher implementation registered, which will provide up-to-date hints based on 
Context, providing position and cancel status.

I'll attach Editor Hints changes and implementation or refresher for java (JavaPositionRefresher).
Comment 2 Max Sauer 2009-07-20 11:05:04 UTC
Created attachment 84926 [details]
patch
Comment 3 Max Sauer 2009-07-28 15:21:52 UTC
Since there are no complaints, I'm going to push the changes.
Comment 4 Max Sauer 2009-07-28 15:34:20 UTC
Marking as FIXED.
---
http://hg.netbeans.org/jet-main/rev/5c1309221c86
Comment 5 Quality Engineering 2009-07-29 06:01:22 UTC
Integrated into 'main-golden', will be available in build *200907290201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5c1309221c86
User: Max Sauer <msauer@netbeans.org>
Log: #150578: Ability to force computation of hints


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo